cURL
curl --request GET \
--url https://api.gmbapi.com/external-api/gmb/apple/brands/{segment_id}/locations/{location_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gmbapi.com/external-api/gmb/apple/brands/{segment_id}/locations/{location_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gmbapi.com/external-api/gmb/apple/brands/{segment_id}/locations/{location_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"payload": {
"segment_id": "brand-550e8400-e29b-41d4-a716-446655440000",
"id": "123-456",
"account_id": "123",
"location_id": "456",
"status": "SYNCED",
"attempts": 1,
"apple_location_id": "LOC789",
"abc_state": "PUBLISHED",
"abc_link": "https://maps.apple.com/place?auid=...",
"is_state_final": true,
"abc_state_checked_at": "2026-08-28T08:15:00.000Z",
"synced_at": "2026-08-28T08:00:00.000Z",
"last_error": null,
"last_error_code": null,
"state_refreshed": true
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Apple Brands
Get Apple Brand Location Sync Status
Returns the sync state of a location under the brand. Failed syncs include last_error and last_error_code.
GET
/
apple
/
brands
/
{segment_id}
/
locations
/
{location_id}
cURL
Restricted. Requires Apple API access. Returns
403 with APPLE_API_DISABLED otherwise.Requires an Organization token.
account_id is required. Failed syncs include last_error and last_error_code.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Brand segment id (brand-<uuid>)
Google Business Profile location id
Query Parameters
Account that owns the location